#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <myMediaInfo.h>

#include <QDebug>
#include <QFile>


int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    myMediaInfo mInfo;

    //Check if HDR/DolbyVision
    if (QFile::exists("Spider-Man.mkv")) {
        mInfo.Open(__T("Spider-Man.mkv"));
        qInfo() << mInfo.Get(MediaInfoDLL::Stream_Video, 0, __T("HDR_Format"), MediaInfoDLL::Info_Text, MediaInfoDLL::Info_Name);
    } else {
        qInfo() << "Doesn't exist";
    }

    mInfo.Close();

    //qInfo("Test");
    //qInfo() << mInfo.Option(__T("Info_Parameters"));
    //qInfo() << mInfo.Option(__T("Info_Codecs"));

    QQmlApplicationEngine engine;
    const QUrl url(u"qrc:/DoViGUI/Main.qml"_qs);
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreationFailed,
        &app, []() { QCoreApplication::exit(-1); },
        Qt::QueuedConnection);
    engine.load(url);

    return app.exec();
}
